package com.ruoyi.system.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 流量相关数据对象 eps_traffic_data
 * 
 * @author gyt
 * @date 2025-08-12
 */
public class EpsTrafficData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 硬件SN */
    @Excel(name = "硬件SN")
    private String hardwareSn;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String nodeName;

    /** 收益方式 */
    @Excel(name = "收益方式")
    private String revenueMethod;

    /** 流量端口 */
    @Excel(name = "流量端口")
    private String trafficPort;

    /** 发送流量值（bytes） */
    @Excel(name = "发送流量值", readConverterExp = "b=ytes")
    private Long txBytes;

    /** 接收流量值（bytes） */
    @Excel(name = "接收流量值", readConverterExp = "b=ytes")
    private Long rxBytes;

    /** 包端带宽值（Mbps） */
    @Excel(name = "包端带宽值", readConverterExp = "M=bps")
    private BigDecimal packageBandwidth;

    /** 创建人id */
    @Excel(name = "创建人id")
    private Long creatorId;

    /** 创建人名称 */
    @Excel(name = "创建人名称")
    private String creatorName;

    /** 修改人id */
    @Excel(name = "修改人id")
    private Long updaterId;

    /** 修改人名称 */
    @Excel(name = "修改人名称")
    private String updaterName;
    /** 业务名称 */
    private String businessName;

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setHardwareSn(String hardwareSn) 
    {
        this.hardwareSn = hardwareSn;
    }

    public String getHardwareSn() 
    {
        return hardwareSn;
    }

    public void setNodeName(String nodeName) 
    {
        this.nodeName = nodeName;
    }

    public String getNodeName() 
    {
        return nodeName;
    }

    public void setRevenueMethod(String revenueMethod) 
    {
        this.revenueMethod = revenueMethod;
    }

    public String getRevenueMethod() 
    {
        return revenueMethod;
    }

    public void setTrafficPort(String trafficPort) 
    {
        this.trafficPort = trafficPort;
    }

    public String getTrafficPort() 
    {
        return trafficPort;
    }

    public void setTxBytes(Long txBytes) 
    {
        this.txBytes = txBytes;
    }

    public Long getTxBytes() 
    {
        return txBytes;
    }

    public void setRxBytes(Long rxBytes) 
    {
        this.rxBytes = rxBytes;
    }

    public Long getRxBytes() 
    {
        return rxBytes;
    }

    public void setPackageBandwidth(BigDecimal packageBandwidth) 
    {
        this.packageBandwidth = packageBandwidth;
    }

    public BigDecimal getPackageBandwidth() 
    {
        return packageBandwidth;
    }

    public void setCreatorId(Long creatorId) 
    {
        this.creatorId = creatorId;
    }

    public Long getCreatorId() 
    {
        return creatorId;
    }

    public void setCreatorName(String creatorName) 
    {
        this.creatorName = creatorName;
    }

    public String getCreatorName() 
    {
        return creatorName;
    }

    public void setUpdaterId(Long updaterId) 
    {
        this.updaterId = updaterId;
    }

    public Long getUpdaterId() 
    {
        return updaterId;
    }

    public void setUpdaterName(String updaterName) 
    {
        this.updaterName = updaterName;
    }

    public String getUpdaterName() 
    {
        return updaterName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("hardwareSn", getHardwareSn())
            .append("nodeName", getNodeName())
            .append("revenueMethod", getRevenueMethod())
            .append("trafficPort", getTrafficPort())
            .append("txBytes", getTxBytes())
            .append("rxBytes", getRxBytes())
            .append("packageBandwidth", getPackageBandwidth())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("creatorId", getCreatorId())
            .append("creatorName", getCreatorName())
            .append("updaterId", getUpdaterId())
            .append("updaterName", getUpdaterName())
            .toString();
    }
}
